Skip to content
Guides
API reference
stableasset:create

Upload Asset (Base64)

POST/v1/storage/assets/base64

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/storage/assets/base64" \  -H "Content-Type: application/json" \  -d '{    "dataBase64": "string",    "filename": "string",    "contentType": null,    "directory": null,    "altText": null,    "metadata": null  }'
{  "type": null,  "title": null,  "status": null,  "detail": null,  "instance": null,  "code": "string"}